<script lang="ts">
    import Network from "./Network.svelte";
    import Console from "./Console.svelte";

    enum Tab {
        Network,
        Console,
    }

    let appOpened: boolean = false;
    let activeTab: Tab = Tab.Console;
</script>

<div class="ks-interceptor" class:active={appOpened}>
    <div class="ks-tabs">
        <div class="ks-tab" on:click|preventDefault={() => { appOpened = !appOpened }}>*</div>
        <div class="ks-tab" class:active={activeTab === Tab.Network} on:click|preventDefault={() => activeTab = Tab.Network}>Network</div>
        <div class="ks-tab" class:active={activeTab === Tab.Console} on:click|preventDefault={() => activeTab = Tab.Console}>Console</div>
    </div>
    <div class="ks-panel" class:active={activeTab === Tab.Network}>
        <Network />
    </div>
    <div class="ks-panel" class:active={activeTab === Tab.Console}>
        <Console />
    </div>
</div>

<style lang="scss">
    .ks-interceptor {
        /* RESET CSS START */
        div, span, applet, object, iframe,
        h1, h2, h3, h4, h5, h6, p, blockquote, pre,
        a, abbr, acronym, address, big, cite, code,
        del, dfn, em, img, ins, kbd, q, s, samp,
        small, strike, strong, sub, sup, tt, var,
        b, u, i, center,
        dl, dt, dd, ol, ul, li,
        fieldset, form, label, legend,
        table, caption, tbody, tfoot, thead, tr, th, td,
        article, aside, canvas, details, embed,
        figure, figcaption, footer, header, hgroup,
        menu, nav, output, ruby, section, summary,
        time, mark, audio, video {
            margin: 0;
            padding: 0;
            border: 0;
            font: inherit;
            vertical-align: baseline;
        }
        /* HTML5 display-role reset for older browsers */
        article, aside, details, figcaption, figure,
        footer, header, hgroup, menu, nav, section {
            display: block;
        }
        ol, ul {
            list-style: none;
        }
        blockquote, q {
            quotes: none;
        }
        blockquote:before, blockquote:after,
        q:before, q:after {
            content: '';
            content: none;
        }
        table {
            border-collapse: collapse;
            border-spacing: 0;
        }
        /* RESET CSS END */

        box-sizing: border-box;
        font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;

        position: fixed;
        max-height: 20px;
        height: 100%;
        width: 40px;
        bottom: 0;
        left: 0;
        background-color: #f2f2f2;
        z-index: 1000;

        &.active {
            max-height: 200px;
            width: 100%;
        }
    }


    .ks-tabs {
        border-bottom: 1px solid #aaa;

        .ks-tab {
            display: inline-block;
            cursor: pointer;
            padding: 0 14px;
            &.active {
                border-bottom: 2px solid #1e90ff;
            }
        }
    }

    .ks-panel {
        display: none;
        overflow: scroll;
        height: 175px;

        &.active {
            display: block
        }
    }
</style>
